#define REMOTEXY_MODE__ESP8266WIFI_LIB_POINT
#include <ESP8266WiFi.h>
 
#include <RemoteXY.h>
 
// настройки соединения 
#define REMOTEXY_WIFI_SSID "RemoteXY"
#define REMOTEXY_WIFI_PASSWORD "12345678"
#define REMOTEXY_SERVER_PORT 6377
 
// конфигурация интерфейса  
#pragma pack(push, 1)
uint8_t RemoteXY_CONF[] =
  { 255,12,0,11,0,42,0,8,173,2,
  67,4,10,12,57,12,11,9,20,5,
  31,36,11,7,36,9,39,61,12,12,
  24,20,5,31,26,2,11,3,3,77,
  6,19,51,51,14,8,22,94,246 };
  
// структура определяет все переменные вашего интерфейса управления 
struct {
 
    // input variable
  char edit_1[11];  // =строка UTF8 оканчивающаяся нулем  
  uint8_t select_1; // =0 если переключатель в положении A, =1 если в положении B, =2 если в положении C, ... 
 
    // output variable
  char text_1[11];  // =строка UTF8 оканчивающаяся нулем 
 
    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0 
 
} RemoteXY;
#pragma pack(pop)
 
/////////////////////////////////////////////
//           END RemoteXY include          //
/////////////////////////////////////////////
 
 
void setup() {
  // put your setup code here, to run once:
 RemoteXY_Init ();
 pinMode (A0,INPUT);  
  pinMode (D8, OUTPUT);  
  pinMode (D7, OUTPUT);
  pinMode (D6, OUTPUT);
  Serial.begin(9600);   
}
 
void loop() {
  // put your main code here, to run repeatedly:
RemoteXY_Handler (); 
 
    int sv = analogRead(A0);    
    
      dtostrf(sv, 0, 1, RemoteXY.text_1);
    int por=atoi(RemoteXY.edit_1);
   delay(300);
   if(sv<por)
  {if (RemoteXY.select_1==0){
    digitalWrite(D8,HIGH);
    delay(100);
    digitalWrite(D8,LOW);
    delay(100);
    digitalWrite(D7,HIGH);
    delay(100);
    digitalWrite(D7,LOW);
    delay(100);
    digitalWrite(D6,HIGH);
    delay(100);
    digitalWrite(D6,LOW);
    delay(100);}
    else if (RemoteXY.select_1==1)
    {
      for (int i=0;i<=255;i++)
      {
    analogWrite(D8,i);
    analogWrite(D6,i);
      }
      for (int i=255;i<=0;i--)
      {
    analogWrite(D8,i);
    analogWrite(D6,i);
      }
    }
    else if (RemoteXY.select_1==2)
    {
    digitalWrite(D7,HIGH);
    digitalWrite(D6,HIGH);
    }
    
    }
    else
    {
       digitalWrite(D8,LOW);
       digitalWrite(D7,LOW);
       digitalWrite(D6,LOW);
      }
         
}